package com.goafanti.common.dao;

import java.util.List;
import java.util.Map;

import com.goafanti.common.model.MemberOrder;
import com.goafanti.member.bo.MemberGrade;

public interface MemberGradeMapper {
	List<MemberGrade> selectMemberGrade();

	int delGrade(int id);

	int selectRank(MemberGrade me);

	int addGradeName(MemberGrade me);

	int addBusinessAndCost(MemberGrade me);

	List<MemberOrder> selectMemberOrder(Map<String, Object> map);

	List<MemberOrder> selectMemberOrderBa(Map<String, Object> map);

	int countMemberOrder(String userId);

	int addBasicsMemberOrder(MemberOrder mo);

	int countMemberOrderWhere(Map<String, Object> map);

	int updateMemberOrder(Map<String, Object> map);

	int delMemberOrder(Map<String, Object> map);
	
	String selectMemberBusiness(int memberRank);
}
